Skip to main content
GET
List your customers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shortName
string
required

Your partner short name

Query Parameters

kycStatus
enum<string>

Only customers with this KYC status

Available options:
PENDING,
REJECTED,
COMPLETED,
SUBMITTED,
IN_EDIT,
NEEDS_RESUBMISSION
createdFrom
string

Only customers onboarded on or after this date (YYYY-MM-DD)

Pattern: /^\d{4}-\d{2}-\d{2}$/
Example:

"2026-10-01"

createdTo
string

Only customers onboarded on or before this date (YYYY-MM-DD)

Pattern: /^\d{4}-\d{2}-\d{2}$/
Example:

"2026-10-31"

cursor
string

The previous page's nextCursor: the externalUserId of its last customer

Maximum string length: 255
Example:

"cust_8842"

limit
number
default:20
Required range: 1 <= x <= 50

Response

200 - application/json
data
object[]
required
nextCursor
string | null

The last customer's externalUserId: pass as cursor for the next page; null on the last page

Example:

"cust_8842"